org.jboss.netty.handler.codec.http.multipart

## Interface HttpDataFactory

All Known Implementing Classes:
  DefaultHttpDataFactory

    public interface HttpDataFactory

Interface to enable creation of InterfaceHttpData objects

### Method Summary

Methods
`void` `cleanAllHttpDatas()` Remove all InterfaceHttpData from virtual File storage from clean list for all requests
`void` `cleanRequestHttpDatas(HttpRequest request)` Remove all InterfaceHttpData from virtual File storage from clean list for the request
`Attribute` `createAttribute(HttpRequest request, String name)`
`Attribute` `createAttribute(HttpRequest request, String name, String value)`
`FileUpload` `createFileUpload(HttpRequest request, String name, String filename, String contentType, String contentTransferEncoding, Charset charset, long size)`
`void` `removeHttpDataFromClean(HttpRequest request, InterfaceHttpData data)` Remove the given InterfaceHttpData from clean list (will not delete the file, except if the file is still a temporary one as setup at construction)

### Method Detail

#### createAttribute

    Attribute createAttribute(HttpRequest request,
                            String name)

Parameters:
  `request` - associated request
  `name` -
Returns:
  a new Attribute with no value
Throws:
  `NullPointerException`
  `IllegalArgumentException`

#### createAttribute

    Attribute createAttribute(HttpRequest request,
                            String name,
                            String value)

Parameters:
  `request` - associated request
  `name` -
  `value` -
Returns:
  a new Attribute
Throws:
  `NullPointerException`
  `IllegalArgumentException`

#### createFileUpload

    FileUpload createFileUpload(HttpRequest request,
                              String name,
                              String filename,
                              String contentType,
                              String contentTransferEncoding,
                              Charset charset,
                              long size)

Parameters:
  `request` - associated request
  `name` -
  `filename` -
  `contentType` -
  `charset` -
  `size` - the size of the Uploaded file
Returns:
  a new FileUpload

#### removeHttpDataFromClean

    void removeHttpDataFromClean(HttpRequest request,
                               InterfaceHttpData data)

Remove the given InterfaceHttpData from clean list (will not delete the file, except if the file is still a temporary one as setup at construction)

Parameters:
  `request` - associated request
  `data` -

#### cleanRequestHttpDatas

    void cleanRequestHttpDatas(HttpRequest request)

Remove all InterfaceHttpData from virtual File storage from clean list for the request

Parameters:
  `request` - associated request

#### cleanAllHttpDatas

    void cleanAllHttpDatas()

Remove all InterfaceHttpData from virtual File storage from clean list for all requests